TTY(1L)

NAME
tty - print the path of the terminal connected to standard input

SYNOPSIS
tty [-s] [--silent] [--quiet] [--help] [--version]

DESCRIPTION
This manual page documents the GNU version of tty. tty prints the path name of the tty connected to its standard input. It prints `not a tty' if the standard input is not a tty. Its exit status is:
0 if the standard input is a tty
1 if the standard input is not a tty
2 if given incorrect arguments
3 if a write error occurs

  OPTIONS

--help
    Print a usage message on standard output and exit successfully.

-s, --silent, --quiet
    Print nothing; only return an exit status.

--version
    Print version information on standard output then exit successfully.